View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
08331Feature requestsImport/Exportpublic2015-07-22 09:54
Reporteradamzammit Assigned Toc_schmitz  
PrioritynormalSeverityfeature 
Status assignedResolutionfixed 
Summary08331: Set appearance options for queXML export
DescriptionThe queXMLPDF class allows for scannable PDF files to be generated from a Limesurvey instrument (via queXML). At the moment, the display options are fixed to defaults in the queXMLPDF class. Ideally, these default options (such as page size, font, allowing particular questions to be split over multiple pages, etc) would be displayed to the user and be able to be changed before output. Additionally, these options could be stored in the Limesurvey database (as attributes?) so they can be reproduced / shared. Some modifications may need to be made upstream (in the queXML project) to allow for this.
TagsNo tags attached.
Bug heat8

Users monitoring this issue

User List mfaber

Activities

adamzammit

adamzammit

2013-11-04 05:06

developer   ~27073

Hi Mirko,

I have added you to this feature request as I thought you may be interested. Let me know if you have any suggestions otherwise I will get started on this in the next few weeks and report my progress here.

Regards,
Adam Zammit
mfaber

mfaber

2013-11-04 10:00

reporter   ~27074

Hi Adam,

there are indeed a lot of options inside the library that are very useful to the user, so....great idea!

Here are my thoughts on where/how to implement an interface:
1) just a separate config text file with the settings in the server directory.

2) When exporting in Limesurvey, a page appears with the settings, where changes can be made before the actual "export button" is pressed.

3) An additional page (tab) in the limesurvey settings

4) Make use of the new plugin system in LS and make quexml-export a plugin.


1) is easily implemented and if new options become available it's easy to put them in this config file. For the user it's probably the worst option as mostly only the admin has access to the server directory. On the other hand, options need not to be changed every day and having these options in a sort of config file would be a huge improvement as user settings are not overwritten whenever a dev makes changes to the library.

2 and 3 and 4 are all pretty good for the user and 3/4 make the most sense IMHO, as quexml settings probably need to be changed only once in a while. However, if new options are implemented one also needs to change the settings masks, add new DB fields and so on and so forth. Pretty cumbersome...
This may be easier with the new plugin system (plugins have their own settings menu)...but I do not know if plugins can be used for exporting survey structure. So far I have only seen applications for survey data (entered by participants). Mdekker, who designed the plugin system can probably help if you're interested to go in that direction.

As said before...just some thoughts. I'm happy to discuss your ideas and beta test your implementation. :)

regards,
Mirko
c_schmitz

c_schmitz

2015-07-22 09:54

administrator   ~32745

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15595
c_schmitz

c_schmitz

2015-07-22 09:54

administrator   ~32746

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15596

Related Changesets

LimeSurvey: master 52773eeb

2015-06-19 03:00:48

adamzammit

Details Diff
New feature 08331: Set appearance options for queXML export
Dev: Updated queXMLPDF class to latest upstream
Dev: Added new view for setting queXMLPDF appearance options before exporting
Dev: Removed references to limesurvey_lang class
Affected Issues
08331
mod - application/controllers/admin/export.php Diff File
mod - application/controllers/admin/surveyadmin.php Diff File
mod - application/helpers/export_helper.php Diff File
mod - application/libraries/admin/quexmlpdf.php Diff File
mod - application/views/admin/survey/editSurvey_view.php Diff File
add - application/views/admin/survey/queXMLSurvey_view.php Diff File
rm - application/views/admin/survey/subview/tabQuexml_view.php Diff File
mod - application/views/admin/survey/subview/tab_view.php Diff File
mod - application/views/admin/survey/surveybar_view.php Diff File

LimeSurvey: master 5077f70b

2015-07-22 07:54:09

c_schmitz

Details Diff
Merge pull request #344 from adamzammit/quexmlpdfexportstyle

New feature 08331: Set appearance options for queXML export
Affected Issues
08331
mod - application/controllers/admin/export.php Diff File
mod - application/libraries/admin/quexmlpdf.php Diff File
add - application/views/admin/survey/queXMLSurvey_view.php Diff File
mod - application/views/admin/survey/surveybar_view.php Diff File

LimeSurvey: develop 9982f527

2015-07-22 07:54:42

c_schmitz

Details Diff
New feature 08331: Set appearance options for queXML export Affected Issues
08331
mod - application/controllers/admin/export.php Diff File
mod - application/libraries/admin/quexmlpdf.php Diff File
add - application/views/admin/survey/queXMLSurvey_view.php Diff File
mod - application/views/admin/survey/surveybar_view.php Diff File

Issue History

Date Modified Username Field Change
2013-11-04 05:04 adamzammit New Issue
2013-11-04 05:04 adamzammit Status new => assigned
2013-11-04 05:04 adamzammit Assigned To => adamzammit
2013-11-04 05:05 adamzammit Issue Monitored: mfaber
2013-11-04 05:06 adamzammit Note Added: 27073
2013-11-04 10:00 mfaber Note Added: 27074
2015-07-22 09:54 adamzammit Changeset attached => LimeSurvey master 52773eeb
2015-07-22 09:54 c_schmitz Changeset attached => LimeSurvey master 5077f70b
2015-07-22 09:54 c_schmitz Note Added: 32745
2015-07-22 09:54 c_schmitz Assigned To adamzammit => c_schmitz
2015-07-22 09:54 c_schmitz Resolution open => fixed
2015-07-22 09:54 c_schmitz Changeset attached => LimeSurvey develop 9982f527
2015-07-22 09:54 c_schmitz Note Added: 32746